Bug 205263 - passwd 'status' feature request
passwd 'status' feature request
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: passwd (Show other bugs)
4.4
All Linux
medium Severity low
: ---
: ---
Assigned To: Tomas Mraz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-05 13:18 EDT by Jeremiah Johnson
Modified: 2007-11-16 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-06 03:07:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremiah Johnson 2006-09-05 13:18:07 EDT
Description of problem: The PAM Passwd util does not display account status
information adequately.  On a RHEL based system with /usr/bin/passwd (passwd rpm):

[root@chipmail ~]# passwd -S miah
Password set, MD5 crypt.

On a system with Shadow Utils based passwd:
miah@chia-pet ~ $ passwd -S miah
miah P 06/20/2005 0 99999 7 -1

-S, --status
Display account status information. The status information
consists of 7 fields. The first field is the user's login name.
The second field indicates if the user account is locked (L),
has no password (NP), or has a usable password (P). The third
field gives the date of the last password change. The next four
fields are the minimum age, maximum age, warning period, and
inactivity period for the password. These ages are expressed in
days.

On a system with a large amount of users it would be useful to determine when
passwords were last changed and when they are about to expire.  It would be
possible to script this using the information in the sp_lstchg field from the
shadow entry.  However making the PAM Passwd util more compatible with the
existing shadow suite would be more desirable.
Comment 1 Tomas Mraz 2006-09-06 03:07:16 EDT
This problem is resolved in the next release of Red Hat Enterprise Linux. Red
Hat does not currently plan to provide a resolution for this in a Red Hat
Enterprise Linux update for currently deployed systems.

With the goal of minimizing risk of change for deployed systems, and in response
to customer and partner requirements, Red Hat takes a conservative approach when
evaluating changes for inclusion in maintenance updates for currently deployed
products. The primary objectives of update releases are to enable new hardware
platform support and to resolve critical defects.

You can also use 'chage -l' command to obtain the status of the account.

Note You need to log in before you can comment on or make changes to this bug.